Loading...
Searching...
No Matches
LeafNode< ValueMask, Log2Dim >::ValueConverter< OtherValueType > Struct Template Reference

ValueConverter<T>::Type is the type of a LeafNode having the same dimensions as this node but a different value type, T. More...

`#include <openvdb/tree/LeafNodeMask.h>`

## Public Types

using | Type = LeafNode<OtherValueType, Log2Dim>

## Detailed Description

template<Index Log2Dim>
template<typename OtherValueType>
struct openvdb::v11_0::tree::LeafNode< ValueMask, Log2Dim >::ValueConverter< OtherValueType >

ValueConverter<T>::Type is the type of a LeafNode having the same dimensions as this node but a different value type, T.

## Member Typedef Documentation

## Type

template<Index Log2Dim>
template<typename OtherValueType>

using Type = LeafNode<OtherValueType, Log2Dim>